Board index » delphi » Indy 8.1 beta from FTP site: Problem compiling - idSSLOpenSSL.pas declaration of connect differs....

Indy 8.1 beta from FTP site: Problem compiling - idSSLOpenSSL.pas declaration of connect differs....

I have downloaded the Indy 8.1 Beta files currently in development from the
Nevrona FTP site (ftp://indy81:ind...@ftp.nevrona.com/), and when I try to
compile the Indy50.dpk, I get the following errors:

[Error]  idSSLOpenSSL.pas(149); Declaration of 'Connect' differs from
previous declaration
[Error]  idSSLOpenSSL.pas(178); Declaration of 'Accept' differs from
previous declaration
[Error]  idSSLOpenSSL.pas(388); Incompatible types

I know that these files are the "current development" files, and are
probably changing all the time...  but I wanted to ask just in case there
was something that I could do to get the beta installed.

I am very interested in getting accesss to the new HTTP component with the
timeout parameter in the connect method.

The other "8.1 Beta" files do not seem to contain the latest and greates
HTTP updates.

The method I used to try to install this beta is as follows:

1) Uninstalled/removed Indy packages from Delphi
2) Removed all previous versions of Indy/Winshoes from my system
3) Downloaded all of the files from the public read-only ftp site
4) Updated the library search path in  Delphi to include the Indy source
directory
5) Open and try to compile Indy50.dpk <----  Errors happen here, so I cannot
continue.
6) Open and compile dclIndy50.dpk
7) Install dclIndy50.dpk

Any thoughts would be greatly appreciated!

Thank you for your time.

Michael Hawk
mailto:m...@marketleap.com
Director of Rapid Application Development
Marketleap.com

 

Re:Indy 8.1 beta from FTP site: Problem compiling - idSSLOpenSSL.pas declaration of connect differs....


*My applogies if this posted twice..  had trouble with news server. :)

I have downloaded the Indy 8.1 Beta files currently in development from the
Nevrona FTP site (ftp://indy81:ind...@ftp.nevrona.com/), and when I try to
compile the Indy50.dpk, I get the following errors:

[Error]  idSSLOpenSSL.pas(149); Declaration of 'Connect' differs from
previous declaration
[Error]  idSSLOpenSSL.pas(178); Declaration of 'Accept' differs from
previous declaration
[Error]  idSSLOpenSSL.pas(388); Incompatible types

I know that these files are the "current development" files, and are
probably changing all the time...  but I wanted to ask just in case there
was something that I could do to get the beta installed.

I am very interested in getting accesss to the new HTTP component with the
timeout parameter in the connect method.

The other "8.1 Beta" files do not seem to contain the latest and greates
HTTP updates.

The method I used to try to install this beta is as follows:

1) Uninstalled/removed Indy packages from Delphi
2) Removed all previous versions of Indy/Winshoes from my system
3) Downloaded all of the files from the public read-only ftp site
4) Updated the library search path in  Delphi to include the Indy source
directory
5) Open and try to compile Indy50.dpk <----  Errors happen here, so I cannot
continue.
6) Open and compile dclIndy50.dpk
7) Install dclIndy50.dpk

Any thoughts would be greatly appreciated!

Thank you for your time.

Michael Hawk
mailto:m...@marketleap.com
Director of Rapid Application Development
Marketleap.com

Re:Indy 8.1 beta from FTP site: Problem compiling - idSSLOpenSSL.pas declaration of connect differs....


Thanks anyway but I solved the problem.

Just had to make a few changes to the *.dpk 's and the idRegister.pas file
to exclude the SSL and Tunneling components.

Thanks - Michael Hawk

Quote
"Michael Hawk" <m...@marketleap.com> wrote in message

news:3b26d735$1_1@dnews...
Quote
> *My applogies if this posted twice..  had trouble with news server. :)

> I have downloaded the Indy 8.1 Beta files currently in development from
the
> Nevrona FTP site (ftp://indy81:ind...@ftp.nevrona.com/), and when I try to
> compile the Indy50.dpk, I get the following errors:

> [Error]  idSSLOpenSSL.pas(149); Declaration of 'Connect' differs from
> previous declaration
> [Error]  idSSLOpenSSL.pas(178); Declaration of 'Accept' differs from
> previous declaration
> [Error]  idSSLOpenSSL.pas(388); Incompatible types

> I know that these files are the "current development" files, and are
> probably changing all the time...  but I wanted to ask just in case there
> was something that I could do to get the beta installed.

> I am very interested in getting accesss to the new HTTP component with the
> timeout parameter in the connect method.

> The other "8.1 Beta" files do not seem to contain the latest and greates
> HTTP updates.

> The method I used to try to install this beta is as follows:

> 1) Uninstalled/removed Indy packages from Delphi
> 2) Removed all previous versions of Indy/Winshoes from my system
> 3) Downloaded all of the files from the public read-only ftp site
> 4) Updated the library search path in  Delphi to include the Indy source
> directory
> 5) Open and try to compile Indy50.dpk <----  Errors happen here, so I
cannot
> continue.
> 6) Open and compile dclIndy50.dpk
> 7) Install dclIndy50.dpk

> Any thoughts would be greatly appreciated!

> Thank you for your time.

> Michael Hawk
> mailto:m...@marketleap.com
> Director of Rapid Application Development
> Marketleap.com

Other Threads